@import 'variables';
@import 'background_images';
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

body {
  font-family: 'Roboto', sans-serif;
  line-height: 1.5;
  min-width: 320px;
  width: 100%;
}

main {
  position: relative;
  // position: fixed;
}

.container {
  max-width: 1400px;
  margin: auto;
}
.none{
  display: none!important;
}
.navigation-full{
  height: 100vh;
  width: 100%;
  z-index: 100;

  display: flex;
  align-items: center;
  justify-content: center;
  background: #000;

  
  position: fixed;
  // display: none;
  opacity: 0.9;

  .nav {
    width: 100%;
    ul {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }

    ul li a {
      display: inline-block;
      padding: 1rem;
      margin: 1rem 0;
      color:#FFF;
      font-weight: 500;
      &:hover,&:focus{
        color: $primary-color;
      }
    }
  }

  .close-btn{
    position: absolute;
    top: 0;
    right: 0;
    padding: 1rem;
    border: none;
    background: none;
    cursor: pointer;
    color: #fff;

    &:hover{
      color: $primary-color
    }
  }
} 

// #Header
#header {
  position: sticky;
  top: 0;
  z-index: 10;
  height: 3.5rem;
  width: 100%;
  background: #fff;

  .container {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
  }

  .navigation,
  .invitation {
    display: none;
  }

  .logo {
    width: 9rem;
    cursor: pointer;
  }

  .menu {
    width: 50%;
    text-align: end;
    .fa-bars{
      cursor: pointer;
    }
  }
}

//  #Card_Photo
#card-photo {
  .background-img {
    width: 100%;
    height: 15rem;
  }

  .card:nth-child(1) .background-img {
    background: url('../img/main/main-1.jpg') no-repeat center center/cover;
  }

  .card:nth-child(2) .background-img {
    background: url('../img/main/main-2.jpg') no-repeat center center/cover;
  }

  .card:nth-child(3) .background-img {
    background: url('../img/main/main-3.jpg') no-repeat right center/cover;
  }

  .description {
    padding: 3rem 2rem;
    position: relative;

    .border-design {
      position: absolute;
      top: 0;
      left: 2rem;
      height: 0.4rem;
      width: 6rem;
      background: linear-gradient(76deg, rgba(200, 127, 199, 0.709121) 0%, #bb5d5d 46%, #4d36ac 100%);
    }

    h1 {
      font-weight: 500;
    }

    p {
      color: #989898;
      margin-bottom: 1rem;
    }

    .fa-long-arrow-alt-right {
      margin-left: 1rem;
    }
  }
}

// #Portfolio
#portfolio {
  @include background-images();

  .card::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.1);
  }

  .card {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-end;
    height: 20rem;
    padding: 2rem 1rem;
    color: #fff;

    h4 {
      margin-bottom: 0.5rem;
    }

    p {
      margin: 0;
      font-size: 0.9rem;
      color: #f3f3f3;
    }
  }

  .card>* {
    z-index: 1; 
  }

  .btn:hover {
    color: $primary-color;
  }
}

// services
#services .container {
  padding: 4rem 0;

  .card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 15rem;
    padding: 2rem 2rem;

    div {
      height: 10rem;
    }

    img {
      width: 5rem;
      margin: 2rem 0;
    }
  }
}

// Features
#feature-today {
  background: url('../img/main/full-moon.jpg') no-repeat center center / cover;
  // height: 100vh;
  color: #fff;

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
  }

  .info {
    position: relative;
    margin: auto;
    width: 90%;
    height: 100vh;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    color: #fff;

    .desc {
      color: #f3f3f3;
      margin-bottom: 2rem;
    }
  }
  .btn:hover {
    color: $primary-color;
  }
}

// Footer
#footer {
  background: #000;

  .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    color: #fff;
    padding: 2rem 3rem;
  }

  .logo {
    width: 10rem;
    margin-bottom: 1rem;
  }

  .multimedia>* {
    margin-right: 0.5rem;
    cursor: pointer;

    &:hover {
      color: $primary-color;
    }
  }

  .navigation {
    margin: 2rem 0;

    ul li a {
      display: inline-block;
      padding: 0.5rem 0;
      color: #fff;

      &:hover {
        color: $primary-color;
      }
    }
  }

  .invites {
    margin-bottom: 1rem;

    .btn:hover {
      color: $primary-color;
    }
  }
}

// #Pricing
#card-photo .card .background-img.pricing-bg {
  background: url('../img/main/cameraman-silhouette.jpg') no-repeat center center/cover;
}

#pricing {
  margin: 3rem 0;

  .toggle-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;

    .toggle {
      padding: 0.4rem;
      margin: 0 0.5rem;
    }

    a {
      font-weight: bold;
    }
  }

  .card-wrapper{
    padding: 0 1rem;
  }

  .card {
    background: #f3f3f3;
    padding: 1rem;
    margin-bottom: 1rem;
    text-align: center;

    .plan {
      grid-area: plan;
      margin: 0;
    }

    .desc {
      grid-area: desc;
      margin: 0.5rem auto;
    }

    .price {
      grid-area: price;
      margin-bottom: 0.8rem;
    }

    .condition {
      display: block;
      font-size: 0.9rem;
      font-weight: 400;
    }

    .btn {
      padding: 1rem 0;
    }

    .btn-view-plan {
      grid-area: btnplan;
      padding: 0.3rem 4rem;
      background: #000;
      color: #fff;
      border: 1px solid #000;
      cursor: pointer;
      font-weight: 500;

      &:hover {
        background: none;
        border: 1px solid #000;
        color: #000;
      }
    }
  }

  .card:nth-child(2) {
    background: #000;
    color: #fff;

    .btn-view-plan {
      background: #fff;
      color: #000;
      border: 1px solid #fff;
      cursor: pointer;

      &:hover {
        background: none;
        border: 1px solid #fff;
        color: #fff;
      }
    }
  }
}

// #compare-pricing
#compare-pricing {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 3rem 0;

  .table {
    border-collapse: collapse;
    overflow: scroll;
    // width: 40rem;
    // white-space: nowrap;
  }

  th,
  td {
    padding: 1rem;
    text-align: left;
  }

  .table tr:nth-child(1) {
    box-shadow: 0px 4px 5px 0px rgba(0, 0, 0, 0.19);
  }

  tr th:not(:nth-child(1)),
  tr td:not(:nth-child(1)) {
    text-align: center;
  }


}

.fa-long-arrow-alt-right{
  font-size: 1.5rem;
  vertical-align: middle;
}